## org.codehaus.plexus.component.reloading
Interface ComponentReloadingStrategy

    public interface ComponentReloadingStrategy

Implementations declares whether a component should reload when accessed.

Version:
  $Revision: 5457 $
Author:
  Jason van Zyl

Method Summary
`boolean` `shouldReload(java.lang.String role, PlexusContainer container)` Returns true if the given role in the container should be reloaded.
`boolean` `shouldReload(java.lang.String role, java.lang.String roleHint, PlexusContainer container)` Returns true if the given role/role-hint in the container should be reloaded.

Method Detail

### shouldReload

    boolean shouldReload(java.lang.String role,
                         PlexusContainer container)
                         throws ComponentReloadingException

  Returns true if the given role in the container should be reloaded.

  Parameters:
    `role` - key of the component
    `container` - the container the role lives in
  Returns:
    true if the given role in the container should be reloaded
  Throws:
    `ComponentReloadingException`

### shouldReload

    boolean shouldReload(java.lang.String role,
                         java.lang.String roleHint,
                         PlexusContainer container)
                         throws ComponentReloadingException

  Returns true if the given role/role-hint in the container should be reloaded.

  Parameters:
    `role` - key of the component
    `roleHint` - sub-key of the component
    `container` - the container the role lives in
  Returns:
    true if the given role/role-hint in the container should be reloaded
  Throws:
    `ComponentReloadingException`

Copyright © 2011. All Rights Reserved.